For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://docs.synthflow.ai/api-reference/platform-api/knowledge-bases/llms.txt. For full documentation content, see https://docs.synthflow.ai/api-reference/platform-api/knowledge-bases/llms-full.txt.

# Update a knowledge base

PUT https://api.synthflow.ai/v2/knowledge_base/{id}
Content-Type: application/json



Reference: https://docs.synthflow.ai/api-reference/platform-api/knowledge-bases/update-knowledge-base

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Synthflow APIs
  version: 1.0.0
paths:
  /knowledge_base/{id}:
    put:
      operationId: update-knowledge-base
      summary: Update a knowledge base
      description: ''
      tags:
        - ''
      parameters:
        - name: id
          in: path
          required: true
          schema:
            $ref: '#/components/schemas/knowledge_base_id'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/update-knowledge-base_Response_200'
        '400':
          description: '400'
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Update-knowledge-baseRequestBadRequestError
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                name:
                  type: string
                  description: Name of the knowledge base.
                rag_use_condition:
                  type: string
                  description: When this knowledge base should be used.
servers:
  - url: https://api.synthflow.ai/v2
  - url: https://api.us.synthflow.ai/v2
components:
  schemas:
    knowledge_base_id:
      type: string
      description: Knowledge base ID.
      title: knowledge_base_id
    KnowledgeBaseIdPutResponsesContentApplicationJsonSchemaResponse:
      type: object
      properties:
        body:
          type: string
        knowledge_base_id:
          $ref: '#/components/schemas/knowledge_base_id'
      title: KnowledgeBaseIdPutResponsesContentApplicationJsonSchemaResponse
    update-knowledge-base_Response_200:
      type: object
      properties:
        status:
          type: string
        response:
          $ref: >-
            #/components/schemas/KnowledgeBaseIdPutResponsesContentApplicationJsonSchemaResponse
      title: update-knowledge-base_Response_200
    Update-knowledge-baseRequestBadRequestError:
      type: object
      properties: {}
      title: Update-knowledge-baseRequestBadRequestError
  securitySchemes:
    sec0:
      type: http
      scheme: bearer

```

## SDK Code Examples

```python
import requests

url = "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460"

payload = {
    "name": "Updated Product Documentation",
    "rag_use_condition": "When the user asks about product features, specifications, or pricing."
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460"

	payload := strings.NewReader("{\n  \"name\": \"Updated Product Documentation\",\n  \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"name\": \"Updated Product Documentation\",\n  \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"name\": \"Updated Product Documentation\",\n  \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"name\": \"Updated Product Documentation\",\n  \"rag_use_condition\": \"When the user asks about product features, specifications, or pricing.\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "name": "Updated Product Documentation",
  "rag_use_condition": "When the user asks about product features, specifications, or pricing."
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.synthflow.ai/v2/knowledge_base/1739253053024x397207388602947460")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```